**IO Authoring Setup**

1.&ensp;Install ioauthoring

	   npm install -g ioauthoring

2.&ensp;Start ioauthoring

	   ioauthoring start


**Usage**

1.&ensp;To view help menu

        ioauthoring help

2.&ensp;To view version and license

        ioauthoring version
 
**Logs**
- Log files are located at './node_modules/ioauthoring-logs/'
- Log files are rotated on daily basis
- If number of log files exceeds 90, oldest log file will be swapped with the newest file

**System Requirements (Recommended)**
- Processor: 64 bit Dual Core or better
- RAM: 2 GB
- Hard Disk: 10 GB

**Platforms Supported**
- Ubuntu
- macOS Sierra
- Windows

**Configuration Management**

1.&ensp;To list configurations

        ioauthoring config -list

2.&ensp;To add a configuration

        ioauthoring config -add <key> <value>

Note: Configuration keys can be one of following
- port
- fog\_controller\_port
- fog\_controller\_ip\_address
- fog\_controller\_protocol


To setup fog-controller configurations, do following steps:

        ioauthoring config -add fog_controller_port 3000
        ioauthoring config -add fog_controller_ip_address 127.0.0.1
        ioauthoring config -add fog_controller_protocol http 


3.&ensp;To remove a configuration

        ioauthoring config -remove <key>
