'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//src, destination
//destination should be a sequzlize object
var updateObject = function updateObject(destination, source) {
  _underscore2.default.each(source, function (value, key) {
    if (key != 'id' && key != 'createdAt' && _underscore2.default.has(destination.dataValues, key)) {
      if (destination[key] != source[key]) destination[key] = source[key];
    }
  });
};

exports.default = {
  updateObject: updateObject
};