"use strict";

ioAuthoring = ioAuthoring || {};

ioAuthoring.templates = ioAuthoring.templates || {};

ioAuthoring.templates.fogTypeList = "\
    <% for(var i=0; i<fogTypes.length; i++) { %>\
        <% var name = fogTypes[i].Name; %>\
        <% var dispName; %>\
        <% if (name.length > 19) { %>\
         <% dispName = name.substr(0,19) + '...'; %>\
        <% }else{ %> \
            <% dispName = name; %>\
        <% } %>\
    <div class='fabric-type-container' data-fabric-type-id='<%= fogTypes[i].ID %>' \
        data-fabric-type-name='<%= fogTypes[i].Name %>' data-fabric-type-description='<%= fogTypes[i].Description %>' data-fabric-type-image='<%= fogTypes[i].Image %>'>\
        <img class='fabric-type-icon' src='/images/shared/<%= fogTypes[i].Image %>?<%=  Date.now() %>'>\
        <p><strong><%= dispName %></strong></p>\
        <p class='pix12'><span id='fabric-type-hover-icon-<%= fogTypes[i].ID %>'\
            class='hover-more-text' last='<%= fogTypes.length - 1 == i ? 1 : 0 %>'>more</span></p>\
            <div style='display:none;' id='fabric-type-description-<%= fogTypes[i].ID %>'>\
            <p class='hPad8'><%= fogTypes[i].Description %></p></div>\
    </div>\
    <% } %>\
";